Bug 620337 - SELinux is preventing /usr/sbin/exim "execute" access on /usr/sbin/exim.
SELinux is preventing /usr/sbin/exim "execute" access on /usr/sbin/exim.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:dec41a46f11...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 04:56 EDT by Frank Murphy
Modified: 2010-08-10 17:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-44.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 17:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2010-08-02 04:56:37 EDT
Summary:

SELinux is preventing /usr/sbin/exim "execute" access on /usr/sbin/exim.

Detailed Description:

SELinux denied access requested by sendmail. It is not expected that this access
is required by sendmail and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:logwatch_mail_t:s0-s0:c0.c1023
Target Context                system_u:object_r:exim_exec_t:s0
Target Objects                /usr/sbin/exim [ file ]
Source                        sendmail
Source Path                   /usr/sbin/exim
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           exim-4.72-1.fc13
Target RPM Packages           exim-4.72-1.fc13
Policy RPM                    selinux-policy-3.7.19-41.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.6-147.2.4.fc13.x86_64 #1 SMP Fri Jul 23
                              17:14:44 UTC 2010 x86_64 x86_64
Alert Count                   5
First Seen                    Thu 29 Jul 2010 09:06:20 IST
Last Seen                     Mon 02 Aug 2010 09:49:13 IST
Local ID                      7548bd54-faca-47c6-b4f3-38978df24590
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1280738953.272:26857): avc:  denied  { execute } for  pid=4115 comm="sendmail" name="exim" dev=dm-6 ino=66137 scontext=system_u:system_r:logwatch_mail_t:s0-s0:c0.c1023 tcontext=system_u:object_r:exim_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1280738953.272:26857): arch=c000003e syscall=59 success=no exit=-13 a0=7faef5cc6928 a1=7faef7e49ed0 a2=7fff878a2440 a3=7fff87861ac0 items=0 ppid=1 pid=4115 auid=0 uid=93 gid=93 euid=93 suid=93 fsuid=93 egid=93 sgid=93 fsgid=93 tty=(none) ses=5 comm="sendmail" exe="/usr/sbin/exim" subj=system_u:system_r:logwatch_mail_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,sendmail,logwatch_mail_t,exim_exec_t,file,execute
audit2allow suggests:

#============= logwatch_mail_t ==============
allow logwatch_mail_t exim_exec_t:file execute;
Comment 1 Miroslav Grepl 2010-08-02 08:58:23 EDT
Fixed in selinux-policy-3.7.19-42.fc13.
Comment 2 Fedora Update System 2010-08-06 09:42:37 EDT
selinux-policy-3.7.19-44.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-44.fc13
Comment 3 Fedora Update System 2010-08-06 17:01:48 EDT
selinux-policy-3.7.19-44.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-44.fc13
Comment 4 Fedora Update System 2010-08-10 17:41:05 EDT
selinux-policy-3.7.19-44.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.